{% extends 'kv260.jinja2' %}
{% set power_off_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command off --port 19' %}
{% set hard_reset_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command reboot --port 19' %}
{% set power_on_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command on --port 19' %}

{% set connection_list = ['uart0'] %}
{% set connection_commands = {'uart0': 'telnet lngmaster.lnglab 7342'} %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set bootloader_prompt = 'ZynqMP>' %}

{% set flasher_deploy_commands = [
'bash -c \'echo KRIA FLASHER UID=$UID PWD=$PWD PATH=$PATH\'',
'/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command off --port 19',
'/usr/local/lab-scripts/eth008_control -a 172.27.19.71 -r 8 -s on',
'sleep 10',
'/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command on --port 19',
'sleep 20',
'/usr/local/lab-scripts/kria-deploy.sh 172.27.19.28 .',
'/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command off --port 19',
'/usr/local/lab-scripts/eth008_control -a 172.27.19.71 -r 8 -s off'] %}

{% set sync_to_lava = {'device_type': 'kv260', 'worker': 'lngmaster.lnglab', 'tags': [], 'aliases': []} %}
